Bug 728830 - Maven should try to avoid know version control file.
Summary: Maven should try to avoid know version control file.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Zanata
Classification: Retired
Component: Component-Maven
Version: unspecified
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: ---
Assignee: Alex Eng
QA Contact: Ding-Yi Chen
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-08 04:15 UTC by Ding-Yi Chen
Modified: 2011-10-28 08:15 UTC (History)
2 users (show)

Fixed In Version: f3a57b9e7621e0a1e2220d18e319804d3b901ad2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-28 08:15:15 UTC


Attachments (Terms of Use)

Description Ding-Yi Chen 2011-08-08 04:15:34 UTC
Description of problem:
Currently, maven client will try to push files inside version control directory, such as HibernateCore/trunk/pot/content/.svn/text-base/filters.pot.svnbase

This causes:
1. It may push in out-dated or removed pot/po files.
2. From above example, zanata maven client actually looking for HibernateCore/trunk/pot/content/.svn/text-base/filters.pot.pot
which does not exist. Thus cause  java.io.FileNotFoundException


Version-Release number of selected component (if applicable):
client API timestamp is 20110808-0952, but server API timestamp is 20110808-0601


How reproducible:
Always

Steps to Reproduce:
1. Push project that use svn. such as http://anonsvn.jboss.org/repos/hibernate/core/trunk/documentation/manual/src/main/docbook/
  
Actual results:
Files inside .svn is searched and pushed


Expected results:
Files inside .svn is ignored.

Comment 1 Ding-Yi Chen 2011-08-09 03:45:54 UTC
VERIFIED with commit f3a57b9e7621e0a1e2220d18e319804d3b901ad2


Note You need to log in before you can comment on or make changes to this bug.